Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultAdministrationFrequencyType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultAdministrationFrequencyType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultAdministrationFrequencyType extends Object implements Serializable

Java class for ConsultAdministrationFrequencyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAdministrationFrequencyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="Timeframe" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAdministrationFrequencyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getQuantity()`
  The number of doses to be administered in a timeframe
  `QuantityType`
  `getTimeframe()`
  The time over which to distribute the provided number of doses
  `void`
  `setQuantity(int value)`
  Sets the value of the quantity property.
  `void`
  `setTimeframe(QuantityType value)`
  Sets the value of the timeframe property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAdministrationFrequencyType

    public ConsultAdministrationFrequencyType()

- ## Method Details

  - ### getQuantity

    public int getQuantity()
    The number of doses to be administered in a timeframe

  - ### setQuantity

    public void setQuantity(int value)
    Sets the value of the quantity property.

  - ### getTimeframe

    public QuantityType getTimeframe()
    The time over which to distribute the provided number of doses
    Returns:
      possible object is `QuantityType`

  - ### setTimeframe

    public void setTimeframe(QuantityType value)
    Sets the value of the timeframe property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getTimeframe()`